%define ver_major 2.16

Name: nautilus-cd-burner
Version: %ver_major.2
Release: alt1
Packager: Alexey Rusakov <ktirf@altlinux.ru>

Summary:  An extension for Nautilus to write files to a CD
Group: Graphical desktop/GNOME
License: LGPL
Url: ftp://ftp.gnome.org

Provides: nautilus2-cd-burner = %version-%release
Obsoletes: nautilus2-cd-burner <= 2.14.1

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch: %name-2.10.1-alt-makefile.patch

# From configure.in
%define gnome_vfs_ver 2.1.3.1
%define glib_ver 2.6.0
%define gtk_ver 2.5.4
%define libglade_ver 2.0.0
%define libgnome_ver 2.14.0
%define eel_ver 2.13.3
%define nautilus_ver 2.15.3
%define hal_ver 0.5.7
%define dbus_ver 0.6

PreReq: GConf2

Requires: lib%name = %version-%release
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libgnome >= %libgnome_ver
Requires: dvd+rw-tools

# From configure.in
BuildPreReq: intltool >= 0.35.0
BuildPreReq: gnome-common
BuildPreReq: gnome-vfs-devel >= %gnome_vfs_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libglade2-devel >= %libglade_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libeel2-devel >= %eel_ver
BuildPreReq: libnautilus-devel >= %nautilus_ver
BuildPreReq: libhal-devel >= %hal_ver
BuildPreReq: libdbus-glib-devel >= %dbus_ver

BuildRequires: gcc-c++

%description
This package contains a Nautilus extension makes it easy to write files
to a CD.

%package -n lib%name
Summary: Nautilus CD Burner library
Group: System/Libraries
Provides: libnautilus2-cd-burner = %version-%release
Obsoletes: libnautilus2-cd-burner <= 2.14.1

%description -n lib%name
This package provides shared library required for the Nautilus CD Burner
to work.

%package -n lib%name-devel
Summary: Development files for Nautilus CD Burner
Group: Development/C
Provides: libnautilus2-cd-burner-devel = %version-%release
Obsoletes: libnautilus2-cd-burner-devel <= 2.14.1
Requires: lib%name = %version-%release
Requires: glib2-devel >= %glib_ver
Requires: libgtk+2-devel >= %gtk_ver

%description -n lib%name-devel
This package contains headers and development libraries for
the Nautilus CD Burner.

%define _libexecdir %_libdir/nautilus-2.0/components
%define _bonobo_servers_dir %_libdir/bonobo/servers
%add_findprov_lib_path %_libdir/gnome-vfs-2.0/modules

%prep
%setup -q
#patch -p1

%build
intltoolize --copy --force
%__autoreconf

%configure \
    --enable-hal \
    --disable-schemas-install \
    --disable-static \

%make_build

%install
#export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
#unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%_libexecdir/*
%_libdir/nautilus/extensions-1.0/*.so*
%_libdir/gnome-vfs-2.0/modules/*.so
%_datadir/%name
# This includes all png files in directories like 16x16 and 24x24
%_iconsdir/hicolor/*x*/apps/%name.png
%_iconsdir/hicolor/scalable/apps/%name.svg
%_desktopdir/*
%config %_sysconfdir/gconf/schemas/%name.schemas
%config %_sysconfdir/gnome-vfs-2.0/modules/*
%doc AUTHORS README TODO ChangeLog

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%exclude %_libdir/gnome-vfs-2.0/modules/*.la
%exclude %_libdir/nautilus/extensions-1.0/*.la

%changelog
* Wed Dec 27 2006 Alexey Rusakov <ktirf@altlinux.org> 2.16.2-alt1
- new version (2.16.2)
- updated dependencies

* Sun Oct 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.1-alt1
- new version (2.16.1)
- fixed a bug in install scripts

* Wed Oct 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version (2.16.0)

* Fri Sep 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.7-alt1
- new version (2.15.7)
- updated dependencies and files list

* Mon Jun 19 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version 2.14.2 (with rpmrb script)

* Fri May 19 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- revised dependencies, cleaned up the spec.

* Sun Apr 23 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.14.1-alt0.1
- Removed 2 from package name
- Updated to 2.14.1
- Buildreq
- Spec cleanup

* Tue Oct 25 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.1-alt1
- new version

* Wed Oct 05 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version

* Sun Sep 25 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0

* Fri Jul 15 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.11.4-alt1
- 2.11.4

* Sat Jul 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.2-alt1
- 2.10.2

* Tue Apr 12 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Tue Mar 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.7-alt1
- 2.9.7

* Thu Feb 10 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.6-alt1
- 2.9.6

* Tue Jan 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.4-alt1
- 2.9.4

* Thu Nov 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.5-alt1
- 2.8.5

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.4-alt1
- 2.8.4

* Thu Sep 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.3-alt1
- 2.8.3

* Tue Sep 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.2-alt1
- 2.8.2

* Fri Sep 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0
- lib%%name{,-devel} subpackages.

* Mon Apr 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt2
- fixed build.

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Fri Mar 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.7-alt1
- 0.6.7

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.6-alt1
- 0.6.6

* Wed Feb 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.5-alt1
- 0.6.5

* Sat Jan 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.4-alt1
- 0.6.4

* Thu Jan 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.3-alt1
- 0.6.3

* Fri Oct 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Wed Sep 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.3-alt1
- 0.5.3

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Tue May 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt1
- 0.4.1

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.2-alt1
- new version.

* Thu Jan 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- First build for Sisyphus.
